Get class schema
Returns the custom field schema for classes in your institution. Use this to discover the available custom fields before creating or updating class records.
Responses
- application/json
- application/json
- application/json
Request Example for get/apis/institutions/classes/schema
curl https://ff-business-school.fullfabric.cloud/apis/institutions/classes/schema \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"id": "6385ba99976a7719120001e4",
"sections": [
{
"label": "Class Information",
"fields": [
{
"name": "__scholarship",
"label": "Scholarship",
"description": "",
"type": "SingleLineText",
"required": "never"
},
{
"name": "__diploma_type",
"label": "Diploma Type",
"description": "",
"type": "DropDown",
"required": "never",
"options": [
"Bachelor",
"Master",
"MBA",
"PhD",
"Executive Certificate"
]
}
]
}
]
}